<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  tabla donde se listan los cultivos de un avalúo
@cu           CU-SA-AC-126


-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="detallesAvaluoPG">


    <p:dataTable
        id="cultivosAvaluoDT"
        value="#{administracionDetallesAvaluo.cultivosAvaluoList}"
        var="cultivo"
        widgetVar="detallesAvaluoDTWV"
        rowKey="#{cultivo.id}"
        paginator="true"
        rows="5"
        selection="#{administracionDetallesAvaluo.selectedCultivoAvaluo}"
        selectionMode="single"
        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
        {NextPageLink} {LastPageLink}"
        rowsPerPageTemplate="5,10,15"
        paginatorPosition="bottom"
        emptyMessage="No se encontraron cultivos del avalúo"
        >

        <f:facet name="header">
            Cultivos asociados al avalúo
        </f:facet>

        <p:column headerText="Tipo">
            <h:outputText value="#{cultivo.tipo}"/>
        </p:column>

        <p:column headerText="Edad">
            <h:outputText value="#{cultivo.edad}"/>
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText value="#{cultivo.descripcion}"/>
        </p:column>

        <p:column headerText="Aspecto técnico">
            <h:outputText value="#{cultivo.aspectoTecnico}"/>
        </p:column>

        <p:column headerText="Medida / cantidad">
            <h:outputText value="#{cultivo.cantidad}"/>
        </p:column>

        <p:column headerText="Unidad medida">
            <h:outputText value="#{cultivo.unidadMedida}"/>
        </p:column>

        <p:column headerText="Valor unidad">
            <h:outputText value="#{cultivo.valorUnidad}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column headerText="Valor cultivo">
            <h:outputText value="#{cultivo.valorTotal}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>


    </p:dataTable>


</h:panelGrid>
